## org.eclipse.emf.mapping
Interface MappedObjectState

All Superinterfaces:
  IChangeNotifier

All Known Implementing Classes:
  MappingRootImpl.MappedObjectStateAdapter

    public interface MappedObjectState

extends IChangeNotifier

This interface represents that state information that is available for each mapped object, i.e., each input or output object in the domain.

Method Summary
`java.util.Collection<Mapping>` `getMappings()` This returns all the mappings the refer to the mapped object.
`java.lang.Object` `getOriginatingInput()` This returns, if appropriate, the originating input object of the output object.
`boolean` `isInput()` This returns whether the mapped object is an input.
`boolean` `isOutput()` This returns whether the mapped object is an output.
`void` `setInput()` This is called to indicate that the mapped object is an input.
`void` `setOriginatingInput(java.lang.Object originatingInput)` This sets the originating input object of the output object.
`void` `setOutput()` This is called to indicate that the mapped object is an output.

Methods inherited from interface org.eclipse.emf.edit.provider.IChangeNotifier
`addListener, fireNotifyChanged, removeListener`

Method Detail

### isInput

    boolean isInput()

  This returns whether the mapped object is an input.

### setInput

    void setInput()

  This is called to indicate that the mapped object is an input.

### isOutput

    boolean isOutput()

  This returns whether the mapped object is an output.

### setOutput

    void setOutput()

  This is called to indicate that the mapped object is an output.

### getOriginatingInput

    java.lang.Object getOriginatingInput()

  This returns, if appropriate, the originating input object of the output object.

### setOriginatingInput

    void setOriginatingInput(java.lang.Object originatingInput)

  This sets the originating input object of the output object.

### getMappings

    java.util.Collection<Mapping> getMappings()

  This returns all the mappings the refer to the mapped object.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.